Bug 1940838 - CVE-2020-27171 kernel: Integer underflow when restricting speculative pointer arithmetic [fedora-all]
Summary: CVE-2020-27171 kernel: Integer underflow when restricting speculative pointer...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 33
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-27171
TreeView+ depends on / blocked
 
Reported: 2021-03-19 10:25 UTC by msiddiqu
Modified: 2021-03-29 01:11 UTC (History)
20 users (show)

Fixed In Version: kernel-5.11.8-300.fc34 kernel-5.11.8-200.fc33 kernel-5.11.10-100.fc32
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-24 01:47:36 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description msiddiqu 2021-03-19 10:25:49 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 msiddiqu 2021-03-19 10:26:02 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1940623,1940838

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-03-22 13:36:36 UTC
FEDORA-2021-e49da8a226 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e49da8a226

Comment 3 Fedora Update System 2021-03-22 13:36:45 UTC
FEDORA-2021-69a9f831c4 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-69a9f831c4

Comment 4 Fedora Update System 2021-03-22 13:36:53 UTC
FEDORA-2021-f0181b8085 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f0181b8085

Comment 5 Fedora Update System 2021-03-23 02:01:01 UTC
FEDORA-2021-f0181b8085 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f0181b8085`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f0181b8085

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-03-23 02:05:23 UTC
FEDORA-2021-e49da8a226 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e49da8a226`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e49da8a226

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-03-24 00:41:22 UTC
FEDORA-2021-69a9f831c4 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-69a9f831c4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-69a9f831c4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-03-24 01:47:36 UTC
FEDORA-2021-f0181b8085 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-03-24 02:39:58 UTC
FEDORA-2021-e49da8a226 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-03-25 02:07:27 UTC
FEDORA-2021-25441d8137 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-25441d8137`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-25441d8137

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-03-27 02:06:00 UTC
FEDORA-2021-9503fffad9 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9503fffad9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9503fffad9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-03-29 01:11:57 UTC
FEDORA-2021-9503fffad9 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.